Bug 1563720 - Differencing Disk on Network Drive Fails Smartstate if initial disk on Local DRive.
Summary: Differencing Disk on Network Drive Fails Smartstate if initial disk on Local ...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: SmartState Analysis
Version: 5.8.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.9.5
Assignee: Jerry Keselman
QA Contact: Brandon Squizzato
URL:
Whiteboard:
Depends On: 1547766
Blocks: 1595269
TreeView+ depends on / blocked
 
Reported: 2018-04-04 14:38 UTC by Satoe Imaishi
Modified: 2018-11-06 14:35 UTC (History)
7 users (show)

Fixed In Version: 5.9.2
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1547766
Environment:
Last Closed: 2018-11-06 14:35:09 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)

Comment 4 Brandon Squizzato 2018-10-05 17:24:14 UTC
Verified on 5.9.5.0 

Set up a VM with a difference disk on the local hyper-V host. The parent of the difference disk sits on a network share. Ran SSA against this VM.

Confirmed non-elevated powershell commands are run when analyzing the local disk:

[----] D, [2018-10-05T13:23:18.929216 #28029:373110] DEBUG -- : Q-task_id([job_dispatcher]) Running powershell script on hypv2012-01.ms01.cfme2.lab.eng.rdu2.redhat.com as MS01\Administrator:
$file_stream   = [System.IO.File]::Open("H:\diffdisk.vhdx", "Open", "Read", "Read")
$file_stream.seek(0, 0)


Confirmed elevated commands are run when analyzing the parent disk:

[----] D, [2018-10-05T13:23:22.194078 #28029:373110] DEBUG -- : Q-task_id([job_dispatcher]) Running powershell script elevated on hypv2012-01.ms01.cfme2.lab.eng.rdu2.redhat.com as MS01\Administrator:
(Get-Item "\\vmm2012-01\MS01SCVMM2012Library\VHDs\fedora-small.vhdx").length


Note You need to log in before you can comment on or make changes to this bug.